> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create health fund card

> Create a new health fund card for private health insurance claiming.



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/health-fund-cards
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/health-fund-cards:
    post:
      tags:
        - Health Fund Card
      summary: Create health fund card
      description: Create a new health fund card for private health insurance claiming.
      operationId: HealthFundCardController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HealthFundCardCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthFundCard'
components:
  schemas:
    HealthFundCardCreateParams:
      type: object
      properties:
        memberNumber:
          type: string
          minLength: 4
          maxLength: 16
          description: Member number
          example: '123456789'
        issueNumber:
          type: string
          minLength: 1
          maxLength: 3
          description: Issue number
          example: '1'
        healthFundId:
          enum:
            - ACA
            - AUNITY
            - BUPA
            - HCF
            - NAVY
            - UNI
            - FRANK
            - HIWA
            - QCH
            - TERR
            - DEFH
            - ONEMED
            - SEEU
            - LATRO
            - RT
            - TUH
            - UNION
            - POLICE
            - PHNX
            - ADF
            - HPART
            - STLUK
            - ASTUTE
            - RBHS
            - DOC
            - ING
            - PRICE
            - REAL
            - SNRS
            - IMAN
            - TEST
            - BUDGET
            - AHM
            - CBHSC
            - MEDIB
            - TEACH
            - HLTEST
            - HBF
            - GMHBA
            - PEOPLE
            - CBHS
            - WEST
            - HCI
            - AIA
            - AAMI
            - APIA
            - QANTAS
            - SUN
            - NIB
            - MILD
            - GU
          type: string
          description: Health fund ID
          example: TEST
        defaultReferenceNumber:
          type: string
          minLength: 1
          maxLength: 2
          pattern: /^0?[0-9]$/
          description: Default reference number
          example: '1'
        issueDate:
          type: string
          description: Issue date
          example: null
        firstName:
          type: string
          description: First name
          example: John
        lastName:
          type: string
          description: Last name
          example: Doe
        dateOfBirth:
          type: string
          description: Date of birth
          example: '1990-01-01'
      required:
        - memberNumber
        - healthFundId
    HealthFundCard:
      type: object
      properties:
        id:
          type: string
        status:
          enum:
            - pending
            - active
          type: string
        memberNumberLast4:
          type: string
        createdAt:
          format: date-time
          type: string
        healthFundId:
          type: string
        healthFund:
          $ref: '#/components/schemas/HealthFund'
        cardholders:
          type: array
          items:
            $ref: '#/components/schemas/HealthFundCardCardholder'
        fingerprint:
          type: string
        defaultReferenceNumber:
          type: string
        issueNumber:
          type: string
        verified:
          type: boolean
        verifiedAt:
          format: date-time
          type: string
      required:
        - id
        - status
        - memberNumberLast4
        - createdAt
        - healthFundId
        - healthFund
        - cardholders
        - fingerprint
        - verified
    HealthFund:
      type: object
      properties:
        id:
          enum:
            - ACA
            - AUNITY
            - BUPA
            - HCF
            - NAVY
            - UNI
            - FRANK
            - HIWA
            - QCH
            - TERR
            - DEFH
            - ONEMED
            - SEEU
            - LATRO
            - RT
            - TUH
            - UNION
            - POLICE
            - PHNX
            - ADF
            - HPART
            - STLUK
            - ASTUTE
            - RBHS
            - DOC
            - ING
            - PRICE
            - REAL
            - SNRS
            - IMAN
            - TEST
            - BUDGET
            - AHM
            - CBHSC
            - MEDIB
            - TEACH
            - HLTEST
            - HBF
            - GMHBA
            - PEOPLE
            - CBHS
            - WEST
            - HCI
            - AIA
            - AAMI
            - APIA
            - QANTAS
            - SUN
            - NIB
            - MILD
            - GU
          type: string
        name:
          type: string
        capabilities:
          $ref: '#/components/schemas/HealthFundCapabilities'
      required:
        - id
        - name
        - capabilities
    HealthFundCardCardholder:
      type: object
      properties:
        referenceNumber:
          type: string
        name:
          type: string
      required:
        - referenceNumber
        - name
    HealthFundCapabilities:
      type: object
      properties:
        claims:
          type: string
          enum:
            - active
            - inactive
        rebatesEstimates:
          type: string
          enum:
            - active
            - inactive
      required:
        - claims
        - rebatesEstimates

````